Skip to main content
PUT
/
v2
/
sub-users
/
{sub_user_id}
Update sub user
curl --request PUT \
  --url https://api.decodo.com/v2/sub-users/{sub_user_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "traffic_limit": 123,
  "auto_disable": false,
  "password": "<string>",
  "traffic_count_from": "2023-12-25",
  "status": "active"
}
'
"{}"

Authorizations

Authorization
string
header
required

Path Parameters

sub_user_id
integer<int32>
required

"Get sub users" received sub user ID

Body

application/json
traffic_limit
number<float>

Traffic limit

auto_disable
boolean
default:false

Disables subuser when the traffic limit is hit

password
string<json>

Must include: 12 or more characters; at least one upper case letter; one lower case letter; one number; one of these symbols _ ~ + = (@ and : are not allowed).

traffic_count_from
string<date>

Handles subuser subscription traffic starting from the specified date. Use date format yyyy-mm-dd hh:mm:ss.

status
enum<string>
Available options:
active,
disabled

Response

201

The response is of type object.